import {LoadingProvider} from "../../hooks/useLoading.jsx";
import {Outlet} from "react-router-dom";
import {ResultList} from "./ResultList.jsx";
import {ResultView} from "./ResultView.jsx";

export function ResultRoot() {
    return <>
        <h1>Résultat</h1>
        <LoadingProvider>
            <Outlet/>
        </LoadingProvider>
    </>
}

export function getResultChildren() {
    return [
        {
            path: '',
            element: <ResultList/>
        },
        {
            path: ':uuid',
            element: <ResultView/>
        },
    ]
}
